<?php

class FC
{

    public static function cards($tabela)
    {

        $con = DB::conecta();
        $sql = "SELECT COUNT(*) AS total FROM " . $tabela;
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        return $row[0]['total'];
    }

    public static function dataUSmin($data)
    {

        $arr = explode(" ", $data);
        $dataus = $arr[0];
        $hora = $arr[1];
        return $dataus;
    }

    public static function dataBR($data)
    {
        $arr = explode(" ", $data);
        $arr2 = explode("-", $arr[0]);

        return $arr2[2] . "/" . $arr2[1] . "/" . $arr2[0];
    }

    public static function dataBRhora($data)
    {

        $arr = explode(" ", $data);
        $arr2 = explode("-", $arr[0]);
        $hora = $arr[1];

        return $arr2[2] . "/" . $arr2[1] . "/" . $arr2[0] . " " . $hora;
    }

    public static function horamin($hora)
    {

        $arr = explode(":", $hora);
        //$hora=$arr[1];       

        return $arr[0] . ":" . $arr[1];
    }
    public static function dataUS($data)
    {

        $arr2 = explode("/", $data);

        return $arr2[2] . "-" . $arr2[1] . "-" . $arr2[0];
    }

    public static function vendasdia($usuario)
    {

        $dia = FC::dataUSmin(date("Y-m-d H:i:s"));
        $con = DB::conecta();
        $sql = "SELECT SUM(TOTAL) AS total FROM servicos WHERE VENDEDOR = '$usuario' AND Date(ABERTURA) = '$dia'";
        $bs = $con->prepare($sql);

        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        //$con=null;

        if (count($row) == 0) {
            return "R$ " . number_format(0, 2, ',', '.');
        } else {
            return   "R$ " . number_format($row[0]['total'], 2, ',', '.');;
        }
    }

    public static function codcliente()
    {

        $con = DB::conecta();
        $sql = "SELECT CODIGO FROM clientes order by CODIGO desc limit 1";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        if (count($row) == 0) {
            return 1;
        } else {
            return $row[0]['CODIGO'] + 1;
        }
    }

    public static function validacliente($nome, $email, $cnpj)
    {

        $con = DB::conecta();
        $sql = "SELECT NOME,EMAIL,CGC FROM clientes WHERE NOME = '$nome' OR EMAIL = '$email' OR CGC = '$cnpj'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        if (count($row) == 0) {
            return false;
        } else {
            return true;
        }
    }

    public static function bscliente($id)
    {


        $con = DB::conecta();
        $sql = "SELECT * FROM clientes where idcliente='$id'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        if (count($row) == 0) {
            return null;
        } else {
            return $row;
        }
    }

    public static function bsOS($id)
    {


        $con = DB::conecta();
        $sql = "SELECT * FROM servicos where idservicos='$id'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        if (count($row) == 0) {
            return null;
        } else {
            return $row;
        }
    }

    public static function bsproduto($id)
    {


        $con = DB::conecta();
        $sql = "SELECT * FROM produtos where idprod='$id'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);

        $con = null;
        if (count($row) == 0) {
            return null;
        } else {
            return $row;
        }
    }

    public static function cademail($nome, $email, $senha)
    {


        $opt = substr(str_shuffle('0123456789'), 0, 5);
        $con = DB::conecta();
        $sql = "UPDATE vendedores SET EMAIL='$email', OPT='$opt',SENHA='$senha' WHERE NOME='$nome'";
        $bs = $con->prepare($sql);
        $st = $bs->execute();
        if ($st) {
            $con = null;
            return $opt;
        } else {
            $con = null;
            return null;
        }
    }

    public static function validaopt($nome, $email, $opt)
    {


        //$opt= substr(str_shuffle('0123456789'), 0, 5);
        $con = DB::conecta();
        $sql = "SELECT * FROM vendedores WHERE NOME='$nome' AND EMAIL='$email' AND OPT='$opt'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);
        if (count($row) == 0) {
            return false;
        } else {
            return true;
        }
    }

    public static function codigoservico()
    {

        $ano = date('Y');

        $con = DB::conecta();
        $sql = "SELECT SEQUENCIA FROM servicos WHERE ANO='$ano' order by idservicos desc limit 1";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);


        if (count($row) == 0) {
            $seq = '1';
            $var = $seq . $ano;
            $cod = str_pad($var, 10, '0', STR_PAD_LEFT);

            return $cod;
        } else {
            $seq = intval($row[0]['SEQUENCIA']) + 1;
            $var = strval($seq) . $ano;
            $cod = str_pad($var, 10, '0', STR_PAD_LEFT);
            return $cod;
        }
        // $con=null;
    }

    public static function sequencia()
    {

        $ano = date('Y');

        $con = DB::conecta();
        $sql = "SELECT SEQUENCIA FROM servicos WHERE ANO='$ano' order by idservicos desc limit 1";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);


        if (count($row) == 0) {
            $seq = '1';

            return $seq;
        } else {
            $seq = intval($row[0]['SEQUENCIA']) + 1;
            return strval($seq);
        }
        // $con=null;
    }

    public static function nomeproduto($id)
    {

        $con = DB::conecta();
        $sql = "SELECT DESCRICAO FROM produtos WHERE REGISTRO='$id'";
        $bs = $con->prepare($sql);
        $bs->execute();
        $ds = $bs->fetchAll(PDO::FETCH_ASSOC);

        if (count($ds) > 0) {
            return $ds[0]['DESCRICAO'];
        } else {
            return '';
        }
    }

    public static function limpaos($vendedor)
    {

        $status = 'A';
        $con = DB::conecta();
        $sql = "DELETE  FROM servicos WHERE  STATUS='$status' AND VENDEDOR='$vendedor'  ";
        $bs = $con->prepare($sql);
        $bs->execute();

        return true;
    }

    public static function excluios($cod, $vendedor)
    {

        // $status='A';
        $con = DB::conecta();
        $sql = "DELETE  FROM servicos WHERE  CODIGO='$cod' AND VENDEDOR='$vendedor'  ";
        $bs = $con->prepare($sql);
        $bs->execute();

        $sql2 = "DELETE  FROM pecasserv WHERE  PEDIDO='$cod' AND VENDEDOR='$vendedor'  ";
        $bs2 = $con->prepare($sql2);
        $bs2->execute();

        $sql3 = "DELETE  FROM itemserv WHERE  PEDIDO='$cod' AND VENDEDOR='$vendedor'  ";
        $bs3 = $con->prepare($sql3);
        $bs3->execute();

        $con = null;

        return "ok";
    }

    public static function somapedido($codigo, $vendedor)
    {

        // $status='A';
        $con = DB::conecta();
        $sql = "SELECT SUM(TOTAL) AS TOTAL FROM itemserv WHERE PEDIDO='$codigo' AND VENDEDOR='$vendedor'  ";
        $bs = $con->prepare($sql);
        $bs->execute();
        $row = $bs->fetchAll(PDO::FETCH_ASSOC);
        $totalservs = $row[0]['TOTAL'];

        $sql2 = "SELECT SUM(TOTAL) AS TOTAL FROM pecasserv WHERE PEDIDO='$codigo' AND VENDEDOR='$vendedor'  ";
        $bs2 = $con->prepare($sql2);
        $bs2->execute();
        $row2 = $bs2->fetchAll(PDO::FETCH_ASSOC);
        $totalprods = $row2[0]['TOTAL'];

        $soma = $totalprods + $totalservs;

        $sql3 = "UPDATE servicos SET TOTAL='$soma',TOTALPROD='$totalprods',TOTALSERVICO='$totalservs' WHERE CODIGO='$codigo' AND VENDEDOR='$vendedor'  ";
        $bs3 = $con->prepare($sql3);
        $bs3->execute();
        $con = null;
        return $soma;
    }

    public static function salva($codigo, $vendedor)
    {

        $con = DB::conecta();
        $sql = "UPDATE servicos SET STATUS='S' WHERE CODIGO='$codigo' AND VENDEDOR='$vendedor'  ";
        $bs = $con->prepare($sql);
        $bs->execute();
       // $con = null;
        return true;
    }


    public static function enviaemail($email, $nome, $opt)
    {

  

           
            $assunto = utf8_decode("Código de autenticação do seu aplicativo IMOfficer");
            $mensagem = "Digite o código abaixo no seu aplicativo para validar o aparelho !<br /><strong>".$opt."</strong>";
            $data_envio = date('d/m/Y');
            $hora_envio = date('H:i:s');

            $arquivo = "
            <style type='text/css'>
            body {
            margin:0px;
            font-family:Verdane;
            font-size:12px;
            color: #666666;
            }
            a{
            color: #666666;
            text-decoration: none;
            }
            a:hover {
            color: #FF0000;
            text-decoration: none;
            }
            </style>
                <html>
                    <table width='510' border='1' cellpadding='1' cellspacing='1' bgcolor='#CCCCCC'>
                    <tr>
                    
                        <td width='100%' height='80'><img src='https://app.imofficer.com.br/assets/img/logo.png' width='180' style='text-align:center'  /></td>
                    
                    </tr>
                    <tr>
                        <td>
                        <tr>
                            <td width='500'>Olá <strong>" . $nome . " </strong></td>
                        </tr>
                        
                        <tr>
                            <td width='500'>" . $mensagem . "</td>
                        </tr>
                        </td>
                    </tr>
                    <tr>
                        <td>Este e-mail foi enviado em <b>$data_envio</b> às <b>$hora_envio</b></td>
                    </tr>
                    </table>
                </html>
            ";

            //Envio do email...com o OPT  códe e autenticação da APP..

            // emails para quem será enviado o formulário
            $remetente = "contato@imofficer.com.br";

            // É necessário indicar que o formato do e-mail é html
            $headers  = 'MIME-Version: 1.0' . "\r\n";
            $headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
            $headers .= 'From: $nome <$remetente>';
            //$headers .= "Bcc: $EmailPadrao\r\n";

            $enviaremail = mail($email, $assunto, $arquivo, $headers);
            if ($enviaremail) {
                
                return "ok";
            } else {
               
                return "erro";
            }
    }

    public static function controleitem($codigo,$vendedor,$tipo){

        if($tipo==1){
            $tabela="pecasserv";
        }else if($tipo==2){
            $tabela="itemserv";
        }
        $con=DB::conecta();
        $sql="SELECT CONTROLE FROM ".$tabela." WHERE CODIGO='$codigo' AND VENDEDOR='$vendedor' ORDER BY CONTROLE DESC LIMIT 1 ";
        $bs=$con->prepare($sql);
        $bs->execute();
        $ds=$bs->fetchAll(PDO::FETCH_ASSOC);

        if(count($ds)>0){
            return $ds[0]['CONTROLE']+1;
        }else{
            return 1;
        }

    }

    public static function excluiitem($id,$tipo){

        if($tipo==1){
            $tabela="pecasserv";
            $campo="idprods";
        }else if($tipo==2){
            $tabela="itemserv";
            $campo="iditems";
        }

        $con=DB::conecta();
        $sql="DELETE FROM ".$tabela." WHERE ".$campo."='$id' ";
        $del=$con->prepare($sql);
        $st=$del->execute();
        if($st){
            return "ok";
        }else{
            return "erro";
        }



    }

    public static function validaos($codigo,$vendedor){
    
        $con=DB::conecta();
        $sql="SELECT COUNT(*) AS TOTALPRODS FROM pecasserv WHERE PEDIDO='$codigo' AND VENDEDOR='$vendedor' ";
        $bs=$con->prepare($sql);
        $bs->execute();
        $ds=$bs->fetchAll(PDO::FETCH_ASSOC);
        
        $sql2="SELECT COUNT(*) AS TOTALSERVS FROM itemserv WHERE PEDIDO='$codigo' AND VENDEDOR='$vendedor' ";
        $bs2=$con->prepare($sql2);
        $bs2->execute();
        $ds2=$bs2->fetchAll(PDO::FETCH_ASSOC);
        if($ds[0]['TOTALPRODS']>0 || $ds2[0]['TOTALSERVS']>0){
            return "ok";
        }else if($ds[0]['TOTALPRODS']==0 && $ds2[0]['TOTALSERVS']==0){
            return "erro";
        }
    }
    

    
}
